%define	oname		gmime
%define name %oname-sharp
%define version 2.1.15
%define release 1mdk

%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define _gtkdocdir	%{_defaultdocdir}/gtk-doc/html
%{expand:%%define _aclocaldir %(aclocal --print-ac-dir 2>/dev/null)}

Summary:		GMIME# bindings for mono
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		LGPL
Group:			System/Libraries
Source0:		http://spruce.sourceforge.net/gmime/sources/v2.1/gmime-%{version}.tar.bz2
URL:			http://spruce.sourceforge.net/gmime/
Group:			System/Libraries
BuildRequires:		autoconf2.5
BuildRequires:		automake1.7
BuildRequires:		glib2-devel
BuildRequires:		gtk-doc
BuildRequires:		libunicode-devel
BuildRequires:		libz-devel
BuildRequires:		mono-devel
BuildRequires:		gtk-sharp-devel
Buildroot:		%{_tmppath}/%{name}-%{version}
Requires:		libgmime >= %version
BuildArch: noarch

%description
This library allows you to manipulate MIME messages.


%prep

%setup -q -n %oname-%version

%build

./configure --prefix=%_prefix --libdir=%_prefix/lib --with-html-dir=%{_gtkdocdir}
cd mono
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
cd mono
%makeinstall pkgconfigdir=%buildroot%pkgconfigdir

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%_prefix/lib/mono/gac/%name
%_prefix/lib/mono/%name
%pkgconfigdir/%name.pc
%_datadir/gapi/gmime-api.xml

%changelog
* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 2.1.15-1mdk
- New release 2.1.15

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 2.1.14-2mdk
- hardcode the mono prefix

* Mon Apr 18 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.14-1mdk
- New release 2.1.14

* Thu Feb 17 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.11-1mdk
- New release 2.1.11

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.1.10-2mdk
- fix deps

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.1.10-1mdk
- initial package
